#include <iostream>

using namespace std;

int main()
{
     int h,i=0,db=0,j;
    string t;
    cin>>t;

    string string1(t);
    string stringOne(t);
    h=stringOne.size();
    //cout << h<< endl;
    for(i=0;i<h;i++)
    {
        if(string1[i]==string1[i+3])
        {
            db++;

        }

        else if(string1[i]==string1[i+1])
        {
            db++;
        }
        else
        {
            for(j=i+4;j<h;j++)
        {
            if(string1[j]==string1[j*2])
                db++;
        }
        }

    }
    cout<<db;
    return 0;
}